Bug 186524 - mdadm manage mode '-a' flag fails to perform as it should (but '--add' works fine)
mdadm manage mode '-a' flag fails to perform as it should (but '--add' works ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 20:50 EST by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.2-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-20 15:35:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-03-23 20:50:58 EST
Description of problem:

NB: we don't appear to have an 'mdadm' component, thus the filing under
raidtools instead.

I had a software raid mirror get out of sync, so the second disk was dropped
from the array. Upon trying the following command...

# mdadm --manage /dev/md0 -a /dev/hde1

...nothing happened. This worked though:

# mdadm --manage /dev/md0 --add /dev/hde1

Version-Release number of selected component (if applicable):

mdadm-2.3.1-3
Comment 1 Jarod Wilson 2006-11-22 21:23:19 EST
Problem still present in mdadm 2.5.4-2.fc6...
Comment 2 Jan Engelhardt 2007-01-30 06:19:15 EST
mdadm also does not support -N (for --name), though on other distros it does.
Comment 3 Doug Ledford 2007-01-30 10:41:49 EST
mdadm shouldn't support the --name option, it's for version 1.0+ superblock raid
devices only and by default version 0.90 superblock devices are created.  So,
unless you manually tell mdadm to create the device with the newer superblock
type, there is no place in the superblock to store the name.
Comment 4 Doug Ledford 2007-07-03 15:42:38 EDT
I've tracked down the source of the problem regarding usage of the -a versus
--add options.  A fix will appear in mdadm-2.6.2-2 and later.
Comment 5 Fedora Update System 2007-07-05 15:12:25 EDT
mdadm-2.6.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-07-09 11:47:54 EDT
mdadm-2.6.2-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-07-10 02:42:07 EDT
mdadm-2.6.2-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-07-20 15:35:08 EDT
mdadm-2.6.2-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.